import { Component } from 'react';
export interface IconItemProps {
    prefixCls?: string;
    icons: string[];
    category?: string;
    value?: string;
    paging?: boolean;
    page?: number;
    pageSize?: number;
    onSelect: (type: string) => void;
    customFontName?: string;
    onPageChange?: (page: number, category?: string) => void;
}
export default class IconCategory extends Component<IconItemProps> {
    static displayName: string;
    static defaultProps: {
        paging: boolean;
    };
    page: number;
    ul?: HTMLUListElement | null;
    constructor(props: any);
    saveRef(node: any): void;
    handlePageChange(page: number): void;
    handleItemSelect(icon: any): void;
    componentWillReceiveProps(nextProps: any): void;
    componentDidMount(): void;
    componentDidUpdate(): void;
    syncItemPosition(): void;
    setPage(page?: number): void;
    renderPagination(): JSX.Element | undefined;
    renderIcons(): JSX.Element[];
    getIcons(): string[];
    render(): JSX.Element;
}
